import { useState, useEffect } from "react";
import { useSelector } from "react-redux";
import Taro from "@tarojs/taro";
import { getbkNotice } from "@/services/broker";
import { Swiper, SwiperItem, Block, View } from "@tarojs/components";
import "@/assets/css/iconfont.css";
import "./index.scss";

export default function HotRecommend(props) {
  const { change = () => {} } = props;
  const city = useSelector((state) => state.city);

  const [list, setList] = useState([]);
  const [CurrentContentInfo, setCurrentContentInfo] = useState({});

  useEffect(() => {
    getbkNotice({ noticeType: "deal" })
      .then((res) => {
        // const resArr = res.records || []
        setList(res.records);
        change(res?.total);
      })
      .catch(() => {
        change(0);
      });
  }, []);

  return (
    <view className="components NewestNnews">
      <view className="content">
        <image
          className="newsimage"
          src={`${OSS_FAST_PATH}/miniapp/broker/成交喜报.png`}
          alt=""
          srcset=""
        />

        <view className="newstext">
          <Swiper
            className="swiper"
            indicatorColor="#999"
            indicatorActiveColor="#333"
            vertical
            circular
            autoplay
          >
            {list.map((item, index) => (
              <SwiperItem className="swiper-item" key={`NewestNnews-${index}`}>
                <View className="swiper-text">
                  {item.buildingName}项目{item.personName}推荐客户{item.content}
                </View>
              </SwiperItem>
            ))}
          </Swiper>
        </view>
      </view>
    </view>
  );
}
