import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";

import "./index.scss";

export default (props) => {
  const {
    title,
    addCard,
    bankCard = [],
    onDelete = {},
    onDefaultChang = {},
  } = props;

  return (
    <view className="CardItem">
      <view>
        {/* <text>{title}</text> */}
        <view className="FormLine flex-h">
          {bankCard.map((x, index) => {
            return (
              <view className="bankItemCard">
                <view className="bankItemCard-top">
                  <view>{x.bankName}</view>
                  <view style={{ flex: "1" }}>{x.ownerName}</view>
                  {x.isDefault === 0 && (
                    <view className="defCard" onClick={() => onDefaultChang(x)}>
                      设为默认
                    </view>
                  )}
                </view>
                <view className="bankItemCard-bottom">
                  <view className="cardNo">{x.cardNo}</view>
                  <view className="delete" onClick={() => onDelete(x)}>
                    删除
                  </view>
                </view>
                {x.isDefault === 1 && (
                  <view className="posdefCard">默认</view>
                )}
              </view>
            );
          })}
        </view>
        <view className="FormLine flex-additem-h">
          <view className="flex-additem" onClick={() => addCard()}>
            <image
              className="image"
              src={`${OSS_FAST_PATH}/miniapp/broker/添加.png`}
              alt=""
              srcset=""
            />
            添加银行卡
          </view>
        </view>
      </view>
    </view>
  );
};
