import withLayout from "@/layout";
import Taro from "@tarojs/taro";
import { ScrollView, View, Image, Text, RichText } from "@tarojs/components";
import { useState, useEffect } from "react";
import { getbbkFirstScreenDetail } from "@/services/broker";
import "./index.scss";

export default withLayout(props => {
  const { router } = props;
  const { id } = router?.params || {};
  const [info, setInfo] = useState({});

  useEffect(() => {
    if (id) {
      getbbkFirstScreenDetail(id).then(res => {
        setInfo(res);
        Taro.setNavigationBarTitle({
          title: res.title
        });
      });
    }
  }, [id]);

  return (
    <View className="Page broker-page">
      <Image mode="aspectFill" className="img-set" src={info?.imageUrl} />
      <View className="broker-padding">
        <View>
          {/* <Text>邀请奖励说明</Text> */}

          <RichText nodes={info.content}></RichText>
        </View>
      </View>
    </View>
  );
});
