import Taro from '@tarojs/taro'

/**
 * 获取配置
 * @returns 
 */
export function getConfig() {
  // https://developers.weixin.qq.com/miniprogram/dev/api/base/system/wx.getSystemInfo.html
  const systemInfo = Taro.getStorageSync('systemInfo')
  const { windowWidth } = systemInfo

  // canvas
  const canvas = {
    width: windowWidth,
    // 设计稿宽高比 2.16  = height / width
    height: windowWidth * 1.5,
  }

  // 图片
  const poster = {
    width: canvas.width,
    height: canvas.height, 
    x: 0,
    y: 0,
  }


  // 小程序码
  const miniCode = {
    arc: true,
    width: canvas.width /3,
    height:  canvas.width /3,
    x: canvas.width / 3,  
    y: canvas.height - canvas.width /3 - 100, //100是距离底部的位置
  }


  return {
    systemInfo,
    canvas,
    poster,
    miniCode,
  }
}
