import { useEffect, useState } from "react";
import { getMiniQrcode } from "@/services/common";

export default function usePoster(poster, page, params) {
  const [posterData, setPosterData] = useState();

  useEffect(() => {
    if (poster) {
      // const page = router.path.indexOf('/') === 0 ? router.path.substring(1) : router.path
      const scene = params;

      getMiniQrcode({ page, scene, is_hyaline: false })
        .then((miniCode) => {
          setPosterData({
            poster,
            miniCode,
          });
        })
        .catch(() => {
          setPosterData({
            poster,
            miniCode: undefined,
          });
        });
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [poster]);

  return posterData;
}
