import withLayout from "@/layout";
import Taro from "@tarojs/taro";
import { View, Image, Text, ScrollView } from "@tarojs/components";

import "./index.scss";
import { useState, useEffect } from "react";
import { querybrokerList, queryBrokerRankMine } from "@/services/broker";
import { formatDate } from "@/utils/chatDate";
export default withLayout(() => {
  const [list, setList] = useState([]);
  const [total, setTotal] = useState();

  // useEffect(() => {
  //   getList();
  // }, []);

  // const getList = () => {

  // };

  const [IsPull, setPull] = useState(false);

  const [pageNumber, setPageNumber] = useState(1);
  const [HasNextPage, setHasNextPage] = useState(true);

  useEffect(() => {
    if (pageNumber) {
      GetPageList();
    }
  }, [pageNumber]);

  const GetPageList = () => {
    setHasNextPage(false);
    //   querybrokerList().then((res) => {
    //     setList([...res.records]);
    //     setTotal(res.total);
    //   });
    querybrokerList({ pageNum:pageNumber, pageSize: 10 }).then((res) => {
      setList(
        pageNumber === 1 ? res.records || [] : list.concat(res.records || [])
      );
      setTotal(res.total);
      setHasNextPage(res.current < res.pages);
      setPull(false);
    });
  };

  const PageLoadMore = () => {
    // 页面上拉加载更多
    if (HasNextPage) {
      setPageNumber(pageNumber + 1);
    }
  };

  useEffect(() => {
    // 下拉刷新触发
    if (IsPull) {
      if (pageNumber === 1) {
        GetPageList();
      } else {
        setPageNumber(1);
      }
    }
  }, [IsPull]);

  const img1 =
    "https://xlk-assets.oss-cn-shanghai.aliyuncs.com/miniapp/broker/%E9%82%80%E8%AF%B7%E5%A5%96%E5%8A%B1.png";
  const img2 =
    "https://xlk-assets.oss-cn-shanghai.aliyuncs.com/miniapp/broker/%E9%82%80%E8%AF%B7%E6%B3%A8%E5%86%8C%E6%A6%9C.png";

  return (
    <View className="invitationlist-background">
      <View>
        <View className="invitationlist-font">总邀请人数</View>
        <View
          className="invitationlist-font-right"
          onClick={() => {
            Taro.navigateTo({
              url: "/subpackages/pages/broker/agentRule/index",
            });
          }}
        >
          <Image className="invitationlist-img" mode="widthFix" src={img1} />
          邀请奖励
        </View>
        <View className="invitationlist-background-2">
          <View className="invitationlist-font-tl">{total || 0}</View>
          <View
            className="invitationlist-font-right-t"
            onClick={() => {
              Taro.navigateTo({
                url: "/subpackages/pages/broker/rankingList/index",
              });
            }}
          >
            <Image className="invitationlist-img" mode="widthFix" src={img2} />
            邀请注册榜
          </View>
        </View>
      </View>
      <ScrollView
        scroll-y
        refresher-triggered={IsPull}
        onscrolltolower={PageLoadMore}
        refresher-background="#fff"
      >
        <View className="invitationlist-view-list">
          {list?.map((item) => {
            return (
              <View key={item.personId} className="invitationlist-view-item">
                <View className="invitationlist-img-frame">
                  <Image
                    className="invitationlist-img-head"
                    src={item.avatarurl}
                  />
                </View>
                <View className="invitationlist-view-list-ifr">
                  <Text className="invitationlist-text-1">{item.name}</Text>
                  <Text className="invitationlist-text">
                    {item.customerNum || 0}
                  </Text>
                  <Text className="invitationlist-text">
                    {item.brokerNum || 0}
                  </Text>

                </View>
                <View className="invitationlist-view-list-ifr-t">
                  <Text className="invitationlist-text-t1">{item.phone}</Text>
                  <Text className="invitationlist-text-t">客户（组）</Text>
                  <Text className="invitationlist-text-t">成交（组）</Text>

                </View>
                <View className="invitationlist-border"></View>
              </View>
            );
          })}
          {total > 0 && (
            <view className="PageBottom">
              <text>已经到底了~</text>
            </view>
          )}
          {total === 0 && (
            <view className="NoData centerLabel">
              <text className="iconfont icon-nodata"></text>
              <text>暂无数据~</text>
            </view>
          )}
        </View>
      </ScrollView>
    </View>
  );
});
