import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";
import { useSelector } from "react-redux";
import withLayout from "@/layout";
import { queryBrokerRank } from "@/services/broker";
import MyAchievement from "../components/myAchievement";
import AchievementList from "../components/list";
import store from "@/store";

import "@/assets/css/iconfont.css";
import "./index.scss";

export default withLayout((props) => {
  const { myRank } = props;

  const columns = [
    {
      title: "排名",
      width: "20%",
      dataIndex: "a",
      style: {
        textAlign: "left",
      },
      myRankRender:'*',
      render: (x, index) => {
        return (
          <view>
            {index < 3 ? (
              <image
                className="rank-image"
                src={`${OSS_FAST_PATH}/miniapp/broker/${index + 1}.png`}
                alt=""
                srcset=""
              />
            ) : (
              index + 1
            )}
          </view>
        );
      },
    },
    {
      title: "经纪人",
      width: "50%",
      dataIndex: "name",
      myRankRender: (
        <view>
          <image className="list-image" src={myRank.avatarurl} alt="" srcset="" />
          {myRank.name}
        </view>
      ),
      render: (x) => (
        <view>
          <image className="list-image" src={x.avatarurl} alt="" srcset="" />
          {x.name}
        </view>
      ),
    },
    {
      title: "邀请人（个）",
      width: "30%",
      dataIndex: "brokerNum",
      myRankRender:`${myRank.brokerNum||0}个`,
    },
  ];

  // const list = [
  //   {
  //     a: 1,
  //     name: "张三",
  //     number: 4433,
  //     key: 1,
  //   },
  //   {
  //     a: 2,
  //     name: "李四",
  //     number: 4433,
  //     key: 2,
  //   },
  //   {
  //     a: 3,
  //     name: "张三",
  //     number: 4433,
  //     key: 3,
  //   },
  // ];

  return (
    <view className="invitationList">
      <MyAchievement columns={columns} data={{ ...myRank, a: "*" }} />
      <AchievementList
        columns={columns}
        params={{ rankType: "person" }}
        getList={queryBrokerRank}
      />
    </view>
  );
});
